Package org.apache.storm.sql.compiler

# Class StormSqlTypeFactoryImpl

java.lang.Object
org.apache.calcite.rel.type.RelDataTypeFactoryImpl
org.apache.calcite.sql.type.SqlTypeFactoryImpl
org.apache.calcite.jdbc.JavaTypeFactoryImpl
org.apache.storm.sql.compiler.StormSqlTypeFactoryImpl

All Implemented Interfaces:
  `org.apache.calcite.adapter.java.JavaTypeFactory`, `org.apache.calcite.rel.type.RelDataTypeFactory`

public class StormSqlTypeFactoryImpl extends org.apache.calcite.jdbc.JavaTypeFactoryImpl

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.calcite.jdbc.JavaTypeFactoryImpl

  `org.apache.calcite.jdbc.JavaTypeFactoryImpl.SyntheticRecordType`

  ## Nested classes/interfaces inherited from class org.apache.calcite.rel.type.RelDataTypeFactoryImpl

  `org.apache.calcite.rel.type.RelDataTypeFactoryImpl.JavaType`

  ## Nested classes/interfaces inherited from interface org.apache.calcite.rel.type.RelDataTypeFactory

  `org.apache.calcite.rel.type.RelDataTypeFactory.Builder, org.apache.calcite.rel.type.RelDataTypeFactory.FieldInfo, org.apache.calcite.rel.type.RelDataTypeFactory.FieldInfoBuilder`

- ## Field Summary

  ### Fields inherited from class org.apache.calcite.rel.type.RelDataTypeFactoryImpl

  `typeSystem`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StormSqlTypeFactoryImpl()`
  `StormSqlTypeFactoryImpl(org.apache.calcite.rel.type.RelDataTypeSystem typeSystem)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.calcite.rel.type.RelDataType`
  `toSql(org.apache.calcite.rel.type.RelDataType type)`

  ### Methods inherited from class org.apache.calcite.jdbc.JavaTypeFactoryImpl

  `createStructType, createSyntheticType, createType, getJavaClass, toSql`

  ### Methods inherited from class org.apache.calcite.sql.type.SqlTypeFactoryImpl

  `canonize, createArrayType, createMapType, createMultisetType, createSqlIntervalType, createSqlType, createSqlType, createSqlType, createTypeWithCharsetAndCollation, createTypeWithNullability, createUnknownType, leastRestrictive, shouldRaggedFixedLengthValueUnionBeVariable`

  ### Methods inherited from class org.apache.calcite.rel.type.RelDataTypeFactoryImpl

  `builder, canonize, copyType, createDecimalProduct, createDecimalQuotient, createJavaType, createJoinType, createStructType, createStructType, createStructType, createStructType, getDefaultCharset, getTypeSystem, isJavaType, leastRestrictiveStructuredType, useDoubleMultiplication`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.calcite.rel.type.RelDataTypeFactory

  `builder, copyType, createArrayType, createDecimalProduct, createDecimalQuotient, createJavaType, createJoinType, createMapType, createMultisetType, createSqlIntervalType, createSqlType, createSqlType, createSqlType, createStructType, createStructType, createStructType, createStructType, createTypeWithCharsetAndCollation, createTypeWithNullability, createUnknownType, getDefaultCharset, getTypeSystem, leastRestrictive, useDoubleMultiplication`

- ## Constructor Details

  - ### StormSqlTypeFactoryImpl

    public StormSqlTypeFactoryImpl()

  - ### StormSqlTypeFactoryImpl

    public StormSqlTypeFactoryImpl(org.apache.calcite.rel.type.RelDataTypeSystem typeSystem)

- ## Method Details

  - ### toSql

    public org.apache.calcite.rel.type.RelDataType toSql(org.apache.calcite.rel.type.RelDataType type)
    Specified by:
      `toSql` in interface `org.apache.calcite.adapter.java.JavaTypeFactory`
    Overrides:
      `toSql` in class `org.apache.calcite.jdbc.JavaTypeFactoryImpl`